Raise Incident
curl --request POST \
--url https://{deployment}/v1/incidents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"classification": "<string>",
"aware_at": "2023-11-07T05:31:56Z",
"trajectory_id": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"classification_reason": "<string>"
}
'import requests
url = "https://{deployment}/v1/incidents"
payload = {
"classification": "<string>",
"aware_at": "2023-11-07T05:31:56Z",
"trajectory_id": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"classification_reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
classification: '<string>',
aware_at: '2023-11-07T05:31:56Z',
trajectory_id: '<string>',
occurred_at: '2023-11-07T05:31:56Z',
summary: '<string>',
classification_reason: '<string>'
})
};
fetch('https://{deployment}/v1/incidents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/incidents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'classification' => '<string>',
'aware_at' => '2023-11-07T05:31:56Z',
'trajectory_id' => '<string>',
'occurred_at' => '2023-11-07T05:31:56Z',
'summary' => '<string>',
'classification_reason' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/incidents"
payload := strings.NewReader("{\n \"classification\": \"<string>\",\n \"aware_at\": \"2023-11-07T05:31:56Z\",\n \"trajectory_id\": \"<string>\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"summary\": \"<string>\",\n \"classification_reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{deployment}/v1/incidents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"classification\": \"<string>\",\n \"aware_at\": \"2023-11-07T05:31:56Z\",\n \"trajectory_id\": \"<string>\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"summary\": \"<string>\",\n \"classification_reason\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/incidents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"classification\": \"<string>\",\n \"aware_at\": \"2023-11-07T05:31:56Z\",\n \"trajectory_id\": \"<string>\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"summary\": \"<string>\",\n \"classification_reason\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"classification": "<string>",
"classification_label": "<string>",
"classified_by": "<string>",
"aware_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"trajectory_id": "<string>",
"classified_by_email": "<string>",
"classification_reason": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"closed_reason": "<string>",
"deadline": {},
"revisions": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Incidents
Raise Incident
Record an incident, with the customer’s classification.
Who may call it: governance-officer or admin. A workspace API key is refused here: this is an act that belongs to a named person.
POST
/
v1
/
incidents
Raise Incident
curl --request POST \
--url https://{deployment}/v1/incidents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"classification": "<string>",
"aware_at": "2023-11-07T05:31:56Z",
"trajectory_id": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"classification_reason": "<string>"
}
'import requests
url = "https://{deployment}/v1/incidents"
payload = {
"classification": "<string>",
"aware_at": "2023-11-07T05:31:56Z",
"trajectory_id": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"classification_reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
classification: '<string>',
aware_at: '2023-11-07T05:31:56Z',
trajectory_id: '<string>',
occurred_at: '2023-11-07T05:31:56Z',
summary: '<string>',
classification_reason: '<string>'
})
};
fetch('https://{deployment}/v1/incidents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/incidents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'classification' => '<string>',
'aware_at' => '2023-11-07T05:31:56Z',
'trajectory_id' => '<string>',
'occurred_at' => '2023-11-07T05:31:56Z',
'summary' => '<string>',
'classification_reason' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/incidents"
payload := strings.NewReader("{\n \"classification\": \"<string>\",\n \"aware_at\": \"2023-11-07T05:31:56Z\",\n \"trajectory_id\": \"<string>\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"summary\": \"<string>\",\n \"classification_reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{deployment}/v1/incidents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"classification\": \"<string>\",\n \"aware_at\": \"2023-11-07T05:31:56Z\",\n \"trajectory_id\": \"<string>\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"summary\": \"<string>\",\n \"classification_reason\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/incidents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"classification\": \"<string>\",\n \"aware_at\": \"2023-11-07T05:31:56Z\",\n \"trajectory_id\": \"<string>\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"summary\": \"<string>\",\n \"classification_reason\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"classification": "<string>",
"classification_label": "<string>",
"classified_by": "<string>",
"aware_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"trajectory_id": "<string>",
"classified_by_email": "<string>",
"classification_reason": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"closed_reason": "<string>",
"deadline": {},
"revisions": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Body
application/json
Response
Successful Response
